# Getting Started Guide

## Preface

To integrate and display Adx3 ads, integrating the SDK into the application and completing the relevant initialization configuration are needed. After integration, you can select multiple ad formats for integrated display. Please follow the document's rules and steps to implement them.

## Preparation

Complete the preliminary preparation according to the following steps:

## Requirement Version Condition

* Ensure Android Studio 3.2 or higher
* MinSdkVersion is 21 or higher compileSdkVersion is 28 or higher

## Download the latest version of the SDK

[https://pub-block.s3.ap-east-1.amazonaws.com/base/202306/4a579c5d41750549.aar](<https://pub-block.s3.ap-east-1.amazonaws.com/base/202306/4a579c5d41750549.aar&#xA;>)

## Apply for SDK application and advertising ID in the SSP management background

{% embed url="<https://ssp.adx3.io>" %}

## Configure your app

1. Integrate the AAR application package to the project level `libs` folder\
   ![](/files/UheDpFTrtgqiyDcoTRV1)
2. Build at your project level and dependency configuration in `gradle` file<br>

   ```java
   repositories {
       flatDir {
           dirs 'libs'    
        }
   }

   ```
3. Add aar package references to different dependencies of the project\
   \
   &#x20;`api fileTree(dir: 'libs', include: ['*.aar'])`<br>
4. Add aar package dependency at the application level `build.gradle`\
   \
   `implementation(name: 'adx3sdk',ext:'aar')`<br>
5. Add network permissions to the application-level AndroidManifest registration file\
   \
   `<uses-permission android:name="android.permission.INTERNET" />`<br>

## Initialize advertising SDK

Please call `Adx3Ads.Initialize()` before loading advertisements, is best carried out in, so that the SDK can be initialized quickly without affecting the quick start of advertisements such as screen opening. This method only needs to be initialized once and does not need to be executed later. The following code example demonstrates how to use it in `Applicaiton`

```java
import android.app.Application;

import io.Adx3.library.Adx3Ads;

public class AdApplication extends Application {

    @Override
    public void onCreate() {
        super.onCreate();
        //SSP system provides sdk management code
        Adx3Ads.initialize(this, CODE);
    }
}
```

As mentioned above, you have completed the initialization of the advertising SDK. Later, you can display different types of advertisements according to different advertising formats

## Select ad format

* [Banner advertising](/interface-documentation/andriod/ad-formats/banner.md)
* [Open screen advertisement](/interface-documentation/andriod/ad-formats/app-open.md)
* [Motivational advertising](/interface-documentation/andriod/ad-formats/rewarded.md)
* [Plug in advertising](/interface-documentation/andriod/ad-formats/native.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adx3.io/interface-documentation/andriod/start/getting-started-guide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
